/* The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 *
 */

/* syncmal.h
 *
 * J-Pilot plugin callback functions by Jason Day, jasonday@worldnet.att.net
 * http://jasonday.home.att.net
 */

#ifndef __SYNCMAL_H__
#define __SYNCMAL_H__

#include <stdio.h>
#include <stdarg.h>
#include "plugin_prefs.h"

#define PREFS_FILE "syncmal.rc"

#define SMPREF_ENABLED 0
#define SMPREF_USE_PROXY 1
#define SMPREF_PROXY_ADDRESS 2
#define SMPREF_PROXY_PORT 3
#define SMPREF_PROXY_USERNAME 4
#define SMPREF_PROXY_PASSWORD 5
#define SMPREF_USE_SOCKS 6
#define SMPREF_SOCKS_ADDRESS 7
#define SMPREF_SOCKS_PORT 8

#define NUM_SMPREFS 9
prefType syncmal_prefs[NUM_SMPREFS] = {
    {"enabled", INTTYPE, INTTYPE, 1, ""},
    {"use_proxy", INTTYPE, INTTYPE, 0, ""},
    {"proxy_address", CHARTYPE, CHARTYPE, 0, ""},
    {"proxy_port", CHARTYPE, CHARTYPE, 0, ""},
    {"proxy_username", CHARTYPE, CHARTYPE, 0, ""},
    {"proxy_password", CHARTYPE, CHARTYPE, 0, ""},
    {"use_socks", INTTYPE, INTTYPE, 0, ""},
    {"socks_address", CHARTYPE, CHARTYPE, 0, ""},
    {"socks_port", CHARTYPE, CHARTYPE, 0, ""}
};

#ifdef NEED_JPILOT_VLOGF
/* defines copied from log.c in J-Pilot distro */
#define LOG_DEBUG  1    /*debugging info for programers, and bug reports */
#define LOG_INFO   2    /*info, and misc messages */
#define LOG_WARN   4    /*worse messages */
#define LOG_FATAL  8    /*even worse messages */
#define LOG_STDOUT 256  /*messages always go to stdout */
#define LOG_FILE   512  /*messages always go to the log file */
#define LOG_GUI    1024 /*messages always go to the gui window */
extern int jpilot_vlogf (int level, const char *format, va_list val);
extern int glob_log_file_mask;
extern int glob_log_stdout_mask;
extern int glob_log_gui_mask;
#endif /* NEED_JPILOT_VLOGF */

#endif /* __SYNCMAL_H__ */